RadioTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.RadioTag,RadioTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class RadioTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.RadioTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  NestedRadioTag

public class RadioTag
extends BaseHandlerTag

Tag for input fields of type "radio".

Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Craig R. McClanahan, Ted Husted, David Graham
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `idName` Name of the bean (in some scope) that will return the value of the radio tag.
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `name` The name of the bean containing our underlying property.
`protected java.lang.String` | `property` The property name for this field.
`protected java.lang.String` | `text` The body content of this tag (if any).
`protected java.lang.String` | `value` The server value for this option.

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RadioTag()`

Method Summary
`private java.lang.String` | `currentValue()` Acquire the current value of the bean specified by the `name` attribute and the property specified by the `property` attribute.
`int` | `doAfterBody()` Save the associated label from the body content.
`int` | `doEndTag()` Optionally render the associated label from the body content.
`int` | `doStartTag()` Generate the required input tag.
`java.lang.String` | `getIdName()` Return the idName.
`java.lang.String` | `getName()`
`java.lang.String` | `getProperty()` Return the property name.
`java.lang.String` | `getValue()` Return the server value.
`void` | `release()` Release any acquired resources.
`protected java.lang.String` | `renderRadioElement(java.lang.String serverValue, java.lang.String checkedValue)` Renders an HTML <input type="radio"> element.
`private java.lang.String` | `serverValue()` Return the String to be used in the radio tag's `value` attribute that gets sent to the server on form submission.
`void` | `setIdName(java.lang.String idName)` Set the idName.
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String property)` Set the property name.
`void` | `setValue(java.lang.String value)` Set the server value.

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for this package.

### name

    protected java.lang.String name

  The name of the bean containing our underlying property.

### property

    protected java.lang.String property

  The property name for this field.

### text

    protected java.lang.String text

  The body content of this tag (if any).

### value

    protected java.lang.String value

  The server value for this option.

### idName

    protected java.lang.String idName

  Name of the bean (in some scope) that will return the value of the radio tag.

  If an iterator is used to render a series of radio tags, this field may be used to specify the name of the bean exposed by the iterator. In this case, the value attribute is used as the name of a property on the `idName` bean that returns the value of the radio tag in this iteration.

Constructor Detail

### RadioTag

    public RadioTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getProperty

    public java.lang.String getProperty()

  Return the property name.

### setProperty

    public void setProperty(java.lang.String property)

  Set the property name.

  Parameters:
    `property` - The new property name

### getValue

    public java.lang.String getValue()

  Return the server value.

### setValue

    public void setValue(java.lang.String value)

  Set the server value.

  Parameters:
    `value` - The new server value

### getIdName

    public java.lang.String getIdName()

  Return the idName.

  Since:
    Struts 1.1

### setIdName

    public void setIdName(java.lang.String idName)

  Set the idName.

  Parameters:
    `idName` - The new idName
  Since:
    Struts 1.1

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Generate the required input tag. [Indexed property since Struts 1.1]

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### serverValue

    private java.lang.String serverValue()
                                  throws javax.servlet.jsp.JspException

  Return the String to be used in the radio tag's `value` attribute that gets sent to the server on form submission.

  Throws:
    `javax.servlet.jsp.JspException`

### currentValue

    private java.lang.String currentValue()
                                   throws javax.servlet.jsp.JspException

  Acquire the current value of the bean specified by the `name` attribute and the property specified by the `property` attribute. This radio button with this value will be checked.

  Throws:
    `javax.servlet.jsp.JspException`

### renderRadioElement

    protected java.lang.String renderRadioElement(java.lang.String serverValue,
                                                  java.lang.String checkedValue)
                                           throws javax.servlet.jsp.JspException

  Renders an HTML <input type="radio"> element.

  Parameters:
    `serverValue` - The data to be used in the tag's `value` attribute and sent to the server when the form is submitted.
    `checkedValue` - If the serverValue equals this value the radio button will be checked.
  Returns:
    A radio input element.
  Throws:
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Save the associated label from the body content.

  Specified by:
    `doAfterBody` in interface `javax.servlet.jsp.tagext.BodyTag`
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Optionally render the associated label from the body content.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseHandlerTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation